Bug 1819320 - openstack UPI: control plane playbook is not idempotent
Summary: openstack UPI: control plane playbook is not idempotent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.5.0
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-31 17:10 UTC by Pierre Prinetti
Modified: 2020-07-13 17:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The openstack-UPI Ansible "control_plane.yaml" playbook is not idempotent. Executing it multiple times will create one new server group per run. Consequence: Stale, unused server groups on the cluster. Fix: The Ansible playbook checks for the group existence, and only creates if not present. Result: One server group is created, regardless of the number of times the playbook is executed.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:24:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3390 0 None closed Bug 1819320: os UPI Idempotent server group create 2020-06-23 09:43:06 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:24:49 UTC

Description Pierre Prinetti 2020-03-31 17:10:06 UTC
Description of problem:

Control Plane Server group creation in UPI is not idempotent. A new server group will be created every time the 04_control-plane.yaml playbook is run.

Comment 4 weiwei jiang 2020-04-02 10:13:54 UTC
Checked with the patch it's fixed now.



TASK [List the Server groups] *************************************************************************************************************************************************************************************
changed: [localhost]

TASK [Parse the Server group ID from existing] ********************************************************************************************************************************************************************
ok: [localhost]

TASK [Create the Control Plane server group] **********************************************************************************************************************************************************************
skipping: [localhost]

TASK [Parse the Server group ID from creation] ********************************************************************************************************************************************************************
skipping: [localhost]

TASK [Create the Control Plane servers] ***************************************************************************************************************************************************************************
changed: [localhost] => (item=[0, 'wjuos402b-xjtcj-master'])
changed: [localhost] => (item=[1, 'wjuos402b-xjtcj-master'])
changed: [localhost] => (item=[2, 'wjuos402b-xjtcj-master'])

PLAY RECAP ********************************************************************************************************************************************************************************************************
localhost                  : ok=6    changed=4    unreachable=0    failed=0    skipped=4    rescued=0    ignored=0

Comment 6 errata-xmlrpc 2020-07-13 17:24:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.